package com.application;

import com.application.DataBase.Authentication;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.stage.Stage;

import java.io.IOException;
import java.nio.file.Paths;
import java.util.Objects;

import static com.application.DataBase.Authentication.explicit;

public class Main extends Application {
    Button button;
    public static void main(String[] args) throws IOException {
        //System.out.println("Hello world!");
        //Authentication test = explicit();
        launch(args);
    }

    /**
     * Main javafx code
     * Stage = The whole window
     * Scene = Content inside the stage. Put buttons and dropdown stuff
     * @param primaryStage
     * @throws Exception
     */
    @Override
    public void start(Stage primaryStage) throws Exception {

        // Loading the GUI-fxml file from resources
        Parent root = FXMLLoader.load(Objects.requireNonNull(getClass().getResource("/com.application/GUI/graphical_user_interface.fxml")));

        // Loading the GUI-fxml file from resources
         root = FXMLLoader.load(Objects.requireNonNull(getClass().getResource("/com.application/GUI/input.fxml")));

        // Sets the scene and defines boundaries
        Scene scene = new Scene(root, 1200, 600);
        primaryStage.setMaximized(true);
        primaryStage.setMinHeight(600);
        primaryStage.setMinWidth(1200);
        primaryStage.setScene(scene);
        primaryStage.show();
    }
}

